import { Animated, type ImageSourcePropType } from 'react-native';
import React, { Component } from 'react';
interface ToastOptions {
    duration?: number;
    progress?: boolean;
    bounce?: boolean;
    autoDismiss?: boolean;
    centerText?: boolean;
    dismissMode?: 'tap' | 'swipe';
    icon?: ImageSourcePropType;
    withIcon?: boolean;
}
interface StyledToastOptions {
    backgroundColor?: string;
    textColor?: string;
    fontWeight?: "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900" | undefined;
}
export declare class ToastManager extends Component<{}, {
    visible: boolean;
    duration: number;
    backgroundColor: string;
    style?: StyledToastOptions;
    dismissGesture: any;
    toastMessage: string;
    showProgress: boolean;
    bounce: boolean;
    autoDismiss: boolean;
    centerText: boolean;
    toastSpeed: number;
    icon?: ImageSourcePropType;
    withIcon?: boolean;
    dismissMode: 'tap' | 'swipe';
}> {
    defaultToastPosition: number;
    defaultToastDuration: number;
    static toastInstance: ToastManager;
    progressValue: Animated.Value;
    topValue: Animated.Value;
    hideToastTimeout: any;
    constructor(props: {
        componentId: string;
    });
    static success(text: any, options?: ToastOptions): void;
    static info(text: any, options?: ToastOptions): void;
    static error(text: any, options?: ToastOptions): void;
    static warning(text: any, options?: ToastOptions): void;
    static styled(text: any, style: StyledToastOptions, options?: ToastOptions): void;
    show: (text: string, options?: ToastOptions) => void;
    hideAllToasts: () => void;
    render(): React.JSX.Element;
}
export default ToastManager;
//# sourceMappingURL=ToastManager.d.ts.map